// StartAxiPile_Tabs.inc ( an Aurora include file, executable source file is AxiPile.src )
// by John Siino
// 02/12/07

global sub StartAxiPile_Tabs()
{
	TabDlg AxiPile_Tabs;
	AxiPile_Tabs.Create(0, 0, WIDTH, HEIGHT, 0x80C80080, 0, PROG_TITLE, 0);
	AxiPile_Tabs.AddControl(CTTABCTRL, "", 0, 0, WIDTH-1, HEIGHT, 0x54000000, 0x0, TAB_1);

	// About Tab
	AxiPile_Tabs.AddControl(CTSTATIC, ABT_Text_11, WIDTH/2-ABT_W/2, HEIGHT/2-ABT_H/2, ABT_W, ABT_H, 0x50000101, 0x0, ABT_Static_11);
	AxiPile_Tabs.AddControl(CTBUTTON, "OK", WIDTH/2-50/2, HEIGHT/2+ABT_H/2+20, 50, 20, 0x5000000B, 0x0, ABOUT_OK);

	// Project Info Tab
	AxiPile_Tabs.AddControl(CTSTATIC,"Description",86,TABHT+24,70,20, StaticRght,0x0,STATIC_201);
	AxiPile_Tabs.AddControl(CTEDIT,"",165,TABHT+24,214,45, 0x50A10004, 0x200,EDIT_PDESC);
	AxiPile_Tabs.AddControl(CTSTATIC,"Project Name",72,TABHT+76,84,20, StaticRght,0x0,STATIC_203);
	AxiPile_Tabs.AddControl(CTEDIT,"",165,TABHT+76,214,20, 0x50810000, 0x200,EDIT_PNAME);
	AxiPile_Tabs.AddControl(CTSTATIC,"Project Number",54,TABHT+103,102,20, StaticRght,0x0,STATIC_205);
	AxiPile_Tabs.AddControl(CTEDIT,"",165,TABHT+103,213,20, 0x50810000, 0x200,EDIT_PNUM);
	AxiPile_Tabs.AddControl(CTSTATIC,"Project Location/Address",29,TABHT+130,127,20,StaticRght,0x0,STATIC_207);
	AxiPile_Tabs.AddControl(CTEDIT,"",165,TABHT+131,217,45, 0x50A10004, 0x200,EDIT_PLOC);
	AxiPile_Tabs.AddControl(CTSTATIC,"Engineer",77,TABHT+182,79,20, StaticRght,0x0,STATIC_209);
	AxiPile_Tabs.AddControl(CTEDIT,"",165,TABHT+181,216,20, 0x50810000, 0x200,EDIT_PENG);
	AxiPile_Tabs.AddControl(CTSTATIC,"Comments/Notes",48,TABHT+209,108,20, StaticRght,0x0,STATIC_211);
	AxiPile_Tabs.AddControl(CTEDIT,"",165,TABHT+209,217,48, 0x50A00004, 0x200,EDIT_PCOM);
	AxiPile_Tabs.AddControl(CTSTATIC,"Date",86,TABHT+266,70,20, StaticRght,0x0,STATIC_213);
	AxiPile_Tabs.AddControl(CTEDIT,"",165,TABHT+265,142,20, 0x50800000, 0x200,EDIT_PDAT);
	AxiPile_Tabs.AddControl(CTBUTTON,"Done",399,TABHT+26,70,20, 0x5000000B, 0x0,DONE_BUTTON);
	AxiPile_Tabs.AddControl(CTBUTTON,"Clear",400,TABHT+58,70,20, 0x5000000B, 0x0,CLR_BUTTON);

	// Pile Info Tab
	AxiPile_Tabs.AddControl(CTGROUPBOX,"Pile Material Properties Calculator",44,TABHT+173,460,160,0x50000007,0x0,GROUP_301);
	AxiPile_Tabs.AddControl(CTGROUPBOX,"Pile Information",44,TABHT+14,460,155,0x50000007,0x0,GROUP_302);

	AxiPile_Tabs.AddControl(CTCHECKBOX,"Non-Tapered",154,TABHT+33,85,20,0x50000003,0x0,NTp_CHECK);
	AxiPile_Tabs.AddControl(CTCHECKBOX,"Tapered",154,TABHT+58,84,20,0x50000003,0x0,Tap_CHECK);
	
	AxiPile_Tabs.AddControl(CTCHECKBOX,"Round Pile",56,TABHT+33,90,20,0x50000003,0x0,Rnd_CHECK);
	AxiPile_Tabs.AddControl(CTCHECKBOX,"Square Pile",56,TABHT+58,92,20,0x50000003,0x0,Sqr_CHECK);
	AxiPile_Tabs.AddControl(CTCHECKBOX,"Other (H, ...)",56,TABHT+84,79,20,0x50000003,0x0,Oth_CHECK);
	
	AxiPile_Tabs.AddControl(CTCHECKBOX,"Concrete",154,TABHT+83,70,20,0x50000003,0x0,CNC_CHECK);
	AxiPile_Tabs.AddControl(CTCHECKBOX,"Steel",154,TABHT+108,70,20,0x50000003,0x0,STL_CHECK);
	AxiPile_Tabs.AddControl(CTCHECKBOX,"Wood",154,TABHT+133,70,20,0x50000003,0x0,WD_CHECK);

	AxiPile_Tabs.AddControl(CTSTATIC,"Concrete Strength, F'c (ksi)",56,TABHT+198,132,20,StaticRght,0x0,STATIC_303);
	AxiPile_Tabs.AddControl(CTEDIT,"3.00",197,TABHT+198,70,20,0x50812000,0x200,Fc_EDIT);
	AxiPile_Tabs.AddControl(CTSTATIC,"Area, A (sq.in.)",283,TABHT+200,126,20,StaticRght,0x0,STATIC_305);
	AxiPile_Tabs.AddControl(CTEDIT,"0.785",419,TABHT+200,70,20,0x50812000,0x200,Butt_A_EDIT);
	AxiPile_Tabs.AddControl(CTSTATIC,"Tip Area, Ap (sq.in.)",280,TABHT+227,130,20,StaticRght,0x0,STATIC_307);
	AxiPile_Tabs.AddControl(CTEDIT,"0.785",419,TABHT+227,70,20,0x50812000,0x200,Tip_A_EDIT);
	
	AxiPile_Tabs.AddControl(CTSTATIC,"E (ksi)",58,TABHT+228,131,17,StaticRght,0x0,STATIC_309);
	
	AxiPile_Tabs.AddControl(CTSTATIC,"Diameter (ft)",257,TABHT+83,70,20,StaticRght,0x0,STATIC_319);
	AxiPile_Tabs.AddControl(CTEDIT,"1.00",336,TABHT+83,70,20,0x50810000,0x200,Butt_D_EDIT);
	AxiPile_Tabs.AddControl(CTEDIT,"1.00",421,TABHT+83,70,20,0x50800000,0x200,Tip_D_EDIT);
	AxiPile_Tabs.AddControl(CTSTATIC,"EA (kips)",257,TABHT+111,70,20,StaticRght,0x0,STATIC_322);
	AxiPile_Tabs.AddControl(CTEDIT,"2452",336,TABHT+111,70,20,0x50800000,0x200,Butt_EA_EDIT);
	AxiPile_Tabs.AddControl(CTEDIT,"2452",421,TABHT+111,70,20,0x50800000,0x200,Tip_EA_EDIT);
	
	AxiPile_Tabs.AddControl(CTBUTTON,"Send Values",343,TABHT+262,147,20,0x5000000B,0x0, SEND_BUTTON);
	
	AxiPile_Tabs.AddControl(CTSTATIC,"Butt End",336,TABHT+64,70,20,StaticLeft,0x0,STATIC_325);
	AxiPile_Tabs.AddControl(CTSTATIC,"Tip",420,TABHT+64,70,20,StaticLeft,0x0,STATIC_326);
	
	AxiPile_Tabs.AddControl(CTSTATIC,"Pile Length (ft)",257,TABHT+36,70,20,StaticRght,0x0,STATIC_327);
	AxiPile_Tabs.AddControl(CTEDIT,"50.00",336,TABHT+36,70,20,0x50800000,0x200,L_EDIT);
		
	AxiPile_Tabs.AddControl(CTEDIT,"3122.00",199,TABHT+228,70,20,0x50800000,0x200, E_EDIT);


	// Soil Info Tab
	AxiPile_Tabs.AddControl(CTGROUPBOX,"Soil Description",24,36,550,43,0x50000007,0x0,SOIL_DESC_GROUP);
	AxiPile_Tabs.AddControl(CTSTATIC,"Number of Soil Layers",118,51,116,20,StaticRght,0x0,STATIC_401);
	AxiPile_Tabs.AddControl(CTEDIT,"1",239,51,70,20,0x50812000,0x200,EDIT_NUMLAYERS);
	AxiPile_Tabs.AddControl(CTSTATIC,"Total Depth (ft)",382,51,95,20,StaticRght,0x0,STATIC_403);
	AxiPile_Tabs.AddControl(CTEDIT,"60",488,51,70,20,0x50812000,0x200,EDIT_TOTDEPTH);

	AxiPile_Tabs.AddControl(CTGROUPBOX,"Soil Layer Properties",112,82,462,295,0x50000007,0x0,SOIL_PROP_GROUP);

	AxiPile_Tabs.AddControl(CTEDIT,"1",140,105,27,20,0x50010003,0x0,EDIT_LAYERNO);
	AxiPile_Tabs.AddControl(CTSPINBUTTON,"",170,105,40,20,0x50010003,0x0,SPIN_LAYERNO);

	AxiPile_Tabs.AddControl(CTCHECKBOX,"Sand",140,142,81,20,0x50030003,0x0,CHECK_SAND);
	AxiPile_Tabs.AddControl(CTCHECKBOX,"Clay",140,170,79,20,0x50030003,0x0,CHECK_CLAY);
	AxiPile_Tabs.AddControl(CTCHECKBOX,"C-Phi Soil",140,199,82,20,0x50030003,0x0,CHECK_CPHI);
	AxiPile_Tabs.AddControl(CTCHECKBOX,"Below Water Table",140,228,122,20,0x50010003,0x0,CHECK_GWT);

	AxiPile_Tabs.AddControl(CTSTATIC,"Relative Density, Dr (%)",353,222,124,20,StaticRght,0x0,STATIC_613);
	AxiPile_Tabs.AddControl(CTEDIT,"50",488,222,70,20,0x50812000,0x200,EDIT_DR);
	AxiPile_Tabs.AddControl(CTSTATIC,"Angle of Internal Friction, Phi (degrees)",276,254,201,20,StaticRght,0x0,STATIC_610);
	AxiPile_Tabs.AddControl(CTEDIT,"35",488,253,70,20,0x50812000,0x200,EDIT_PHI);
	AxiPile_Tabs.AddControl(CTSTATIC,"Total Vertical Stress at Midheight of Soil Layer (tsf)",195,316,282,20,StaticRght,0x0,STATIC_611);
	AxiPile_Tabs.AddControl(CTEDIT,"612.0",488,315,70,20,0x50812000,0x200,EDIT_TOTSTRESS);
	AxiPile_Tabs.AddControl(CTSTATIC,"Epsilon 50, Strain at 50% Stress Level at Pile Tip",232,346,245,20,StaticRght,0x0,STATIC_612);
	AxiPile_Tabs.AddControl(CTEDIT,"0.005",488,344,70,20,0x50812000,0x200,EDIT_EPSILON50);

	AxiPile_Tabs.AddControl(CTSTATIC,"Undrained Strength, C (tsf)",265,284,212,20,StaticRght,0x0,STATIC_614);
	AxiPile_Tabs.AddControl(CTEDIT,"300.0",488,284,70,20,0x50800000,0x200,EDIT_CUU);
	AxiPile_Tabs.AddControl(CTSTATIC,"Depth below Surface, Z (ft)",329,192,148,20,StaticRght,0x0,STATIC_615);
	AxiPile_Tabs.AddControl(CTEDIT,"0",488,192,70,20,0x50812000,0x200,EDIT_DEPTH);
	AxiPile_Tabs.AddControl(CTSTATIC,"Bouyant Unit Weight of Soil (pcf)",296,163,181,20,StaticRght,0x0,STATIC_616);
	AxiPile_Tabs.AddControl(CTEDIT,"60.0",488,163,70,20,0x50812000,0x200,EDIT_BOUYANTWT);

	AxiPile_Tabs.AddControl(CTSTATIC,"Saturated Unit Weight (pcf)",296,134,181,20,StaticRght,0x0,STATIC_617);
	AxiPile_Tabs.AddControl(CTEDIT,"122.4",488,134,70,20,0x50812000,0x200,EDIT_SATWEIGHT);
	AxiPile_Tabs.AddControl(CTSTATIC,"Thickness of Soil Layer (ft)",296,105,181,20,StaticRght,0x0,STATIC_618);
	AxiPile_Tabs.AddControl(CTEDIT,"10",488,105,70,20,0x50812000,0x200,EDIT_THICKNESS);

	AxiPile_Tabs.AddControl(CTGROUPBOX,"Schematic",23,82,82,295,0x50000007,0x0,SCHEMATIC_GROUP);


	AxiPile_Tabs.DoModal();

return 0;
}